CREATE TABLE tsfx.dw_complain_realtime_alarm_h
(
    sdate              timestamp NULL,
    uniqueid           varchar(200) NULL,
    uniqueclearid      varchar(200) NULL,
    eventtime          varchar(50) NULL,
    canceltime         varchar(50) NULL,
    status             numeric NULL,
    projectstatus      numeric NULL,
    vendoralarmserial  varchar(200) NULL,
    alarmtitle         varchar(200) NULL,
    vendorseverity     varchar(200) NULL,
    vendoralarmtype    varchar(200) NULL,
    specificproblem    varchar(1000) NULL,
    specificproblemid  varchar(200) NULL,
    equipmentclass     varchar(200) NULL,
    equipmentname      varchar(1000) NULL,
    locateneclass      varchar(500) NULL,
    locatenename       varchar(1000) NULL,
    province           varchar(200) NULL,
    region             varchar(200) NULL,
    city               varchar(200) NULL,
    grid               varchar(200) NULL,
    area               varchar(200) NULL,
    vendor             varchar(200) NULL,
    specialty          numeric NULL,
    siteid             varchar(200) NULL,
    roomid             varchar(1000) NULL,
    towersiteno        varchar(200) NULL,
    proequipmentstatus numeric NULL,
    projectname        varchar(200) NULL,
    projectno          varchar(200) NULL,
    projectstarttime   varchar(200) NULL,
    projectendtime     varchar(200) NULL,
    worksendstatus     numeric NULL,
    workstatus         numeric NULL,
    workno             varchar(200) NULL,
    workarchivedtime   varchar(200) NULL,
    workdutydep        varchar(200) NULL,
    worksendperson     varchar(200) NULL,
    alarmlogicclass    varchar(200) NULL,
    alarmlogicsubclass varchar(200) NULL,
    standardalarmname  varchar(1000) NULL,
    alarmseverity      numeric NULL,
    standardalarmid    varchar(500) NULL,
    effectonequipment  varchar(200) NULL,
    effectonbusiness   varchar(200) NULL,
    standardflag       numeric NULL,
    networktype        numeric NULL,
    equipmentdn        varchar(500) NULL,
    locatenedn         varchar(500) NULL,
    taccode            varchar(500) NULL,
    tacid              varchar(200) NULL,
    alarmtext          text NULL
) DISTRIBUTED BY (uniqueid);
